summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Heiko Becker <heirecka@exherbo.org> 2018-07-22 11:43:06 +0200
committerAvatar Heiko Becker <heirecka@exherbo.org> 2018-07-22 13:23:18 +0200
commitf6420c1ad6f7e0dcc2d463267e6febbc1c9d4aca (patch)
tree24886bda56c19b64111b65b05f13cc3c2a1ac83c
parentcbe9ea35358bbac61691ec62d8f80909945afb29 (diff)
downloadkde-master.tar.gz
kde-master.tar.xz
yakuake: Version bump to 3.0.5HEADmaster
-rw-r--r--packages/kde/yakuake/yakuake-3.0.5.exheres-0 (renamed from packages/kde/yakuake/yakuake-3.0.2.exheres-0)1
-rw-r--r--packages/kde/yakuake/yakuake.exlib7
2 files changed, 6 insertions, 2 deletions
diff --git a/packages/kde/yakuake/yakuake-3.0.2.exheres-0 b/packages/kde/yakuake/yakuake-3.0.5.exheres-0
index 4c806fc..b2e130c 100644
--- a/packages/kde/yakuake/yakuake-3.0.2.exheres-0
+++ b/packages/kde/yakuake/yakuake-3.0.5.exheres-0
@@ -4,3 +4,4 @@
require yakuake
PLATFORMS="~amd64"
+
diff --git a/packages/kde/yakuake/yakuake.exlib b/packages/kde/yakuake/yakuake.exlib
index 9fd09a6..a9bef1b 100644
--- a/packages/kde/yakuake/yakuake.exlib
+++ b/packages/kde/yakuake/yakuake.exlib
@@ -1,7 +1,7 @@
# Copyright 2008-2015 Kim Højgaard-Hansen <kimrhh@exherbo.org>
# Distributed under the terms of the GNU General Public License v2
-require kde.org [ subdir=${PN}/${PV}/src ] kde
+require kde.org [ subdir=${PN}/${PV}/src ] kde gtk-icon-cache
SUMMARY="Yakuake - Quake style terminal emulator"
DESCRIPTION="Yakuake is a drop-down terminal emulator based on KDE Konsole technology."
@@ -14,7 +14,7 @@ MYOPTIONS=""
BUGS_TO="kimrhh@exherbo.org"
UPSTREAM_CHANGELOG="https://cgit.kde.org/yakuake.git/tree/ChangeLog"
-KF5_MIN_VER=5.15.0
+KF5_MIN_VER=5.29.0
DEPENDENCIES="
build:
@@ -22,6 +22,7 @@ DEPENDENCIES="
build+run:
kde-frameworks/karchive:5[>=${KF5_MIN_VER}]
kde-frameworks/kconfig:5[>=${KF5_MIN_VER}]
+ kde-frameworks/kconfigwidgets:5[>=${KF5_MIN_VER}]
kde-frameworks/kcoreaddons:5[>=${KF5_MIN_VER}]
kde-frameworks/kcrash:5[>=${KF5_MIN_VER}]
kde-frameworks/kdbusaddons:5[>=${KF5_MIN_VER}]
@@ -33,8 +34,10 @@ DEPENDENCIES="
kde-frameworks/knotifications:5[>=${KF5_MIN_VER}]
kde-frameworks/knotifyconfig:5[>=${KF5_MIN_VER}]
kde-frameworks/kparts:5[>=${KF5_MIN_VER}]
+ kde-frameworks/kwayland:5[>=5.5]
kde-frameworks/kwidgetsaddons:5[>=${KF5_MIN_VER}]
kde-frameworks/kwindowsystem:5[>=${KF5_MIN_VER}]
+ kde-frameworks/kxmlgui:5[>=${KF5_MIN_VER}]
x11-libs/libX11
x11-libs/qtbase:5[>=5.4.0][gui]
x11-libs/qtx11extras:5[>=5.2.0]